<template>
  <div>
    <h3><b>Fridge</b></h3>
    <add-ingredient></add-ingredient>
    <div class="grey-text mt-10">(Available Ingredients)</div><br>
    <div v-for="ingredient in ingredients">
      <ingredient
        v-bind="ingredient.attributes">

      </ingredient>
    </div>
    <div v-if="ingredients.length == 0">
      <img src="https://image.shutterstock.com/shutterstock/photos/628638698/display_1500/stock-vector-cartoon-man-staring-into-an-empty-fridge-628638698.jpg" width="200px"></div>
    </div>

  </div>
</template>
<script>
  import addIngredient from "./add_ingredient"
  import ingredient from "./ingredient"
  export default {
    components: {ingredient, addIngredient},
    data() {
      return {
        ingredients: []
      }
    },
    created() {
      this.$bus.$on('ingredientAdded', this.loadIngrediens);
      this.loadIngrediens()
    },
    methods: {
      loadIngrediens() {
        this.$http.get("/api/v1/ingredients").then(response => {
          this.ingredients = response.body.data
        })
      }
    }
  }
</script>

